View Issue Details

IDProjectCategoryView StatusLast Update
0003230CentOS-5kernel-xenpublic2008-11-12 22:46
ReporterFluggo 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.2 
Target VersionFixed in Version5.2 
Summary0003230: kernel-xen-2.6.18-92.1.17.el5.i686 doesn't boot at all!
DescriptionRecent xen kernel kernel-xen-2.6.18-92.1.17.el5.i686 doesn't boot dom0.
(Blinking cursor after GRUB)

The previous version kernel-xen-2.6.18-92.1.13.el5.i686 boots correctly.
Additional InformationHardware
Tested on two Compaq Proliant 6400R each with 4x550 P3 Xeon CPUs and 4GB RAM. Both systems fully updated.

See thread in CentOS forum:
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=17135&forum=37
TagsNo tags attached.

Activities

tartina

tartina

2008-11-06 21:45

reporter   ~0008234

I'm having the same problem on 2 HP ProLiant ML570 G2
4 cpus (2 real) and 4GB of RAM.

Cpu model: Intel(R) Xeon(TM) MP CPU 2.70GHz

kernel 2.6.18-92.1.13.el5xen i686 is working
kernel 2.6.18-92.1.17.el5xen i686 hangs after grub with a blanking cursor.

I think xen.gz-2.6.18-92.1.17.el5 is hanging very early.
vchepkov

vchepkov

2008-11-06 22:04

reporter   ~0008235

Same on Dell OptiPlex GX280

cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 3
model name : Intel(R) Pentium(R) 4 CPU 3.20GHz
stepping : 4
cpu MHz : 3192.184
cache size : 1024 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 3
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe constant_tsc up pni monitor ds_cpl cid xtpr
bogomips : 7983.75

cat /proc/meminfo
MemTotal: 1544192 kB
MemFree: 45704 kB
Buffers: 157432 kB
Cached: 1063400 kB
SwapCached: 69832 kB
Active: 487908 kB
Inactive: 874372 kB
HighTotal: 1202448 kB
HighFree: 8976 kB
LowTotal: 341744 kB
LowFree: 36728 kB
SwapTotal: 2031608 kB
SwapFree: 1927884 kB
Dirty: 4 kB
Writeback: 0 kB
AnonPages: 71628 kB
Mapped: 167192 kB
Slab: 93252 kB
PageTables: 9664 kB
NFS_Unstable: 0 kB
Bounce: 0 kB
CommitLimit: 2803704 kB
Committed_AS: 847128 kB
VmallocTotal: 114680 kB
VmallocUsed: 3684 kB
VmallocChunk: 110804 kB
brandond

brandond

2008-11-06 22:45

reporter   ~0008236

Tested fine on a Supermicro X6DH8-XB (Intel ICH5 chipset) with 2 dual-core Xeons

vendor_id : GenuineIntel
cpu family : 15
model : 4
model name : Intel(R) Xeon(TM) CPU 3.00GHz
stepping : 1

Dom0 and DomUs all updated to this kernel with no issues.
brandond

brandond

2008-11-06 22:57

reporter   ~0008237

Additional note - I tested the x86_64 Dom0 kernel:

Linux sonic.xxx 2.6.18-92.1.17.el5xen #1 SMP Tue Nov 4 14:13:09 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

The original bug is against the i686 kernel on Dom0, which I cannot test. An i686 guest was updated to this kernel with no issue:

Linux dhcp-213.xxx 2.6.18-92.1.17.el5xen #1 SMP Tue Nov 4 14:50:15 EST 2008 i686 i686 i386 GNU/Linux
kbsingh@karan.org

kbsingh@karan.org

2008-11-06 23:14

administrator   ~0008238

I've had no problems with 2 machines here, both running i686 dom0/domU's updated to the latest version of the kernel.

Is there something specific that can be reported by people who have the issues ? specially info about state of dom0's
ejg

ejg

2008-11-06 23:23

reporter   ~0008239

Same issue on a HP DL380 G3, 2 CPUs w/HyperThreading, 6 GB RAM.

CPUs: Intel(R) Xeon(TM) CPU 2.80Ghz

kernel 2.6.18-92.1.17.el5xen i686 hangs after grub with a blanking cursor.

Attached file includes cpuinfo, meminfo, uname -a, lspci, xm dmesg while using the working 2.6.18-92.1.13.el5xen.

2008-11-06 23:24

 

cpu-meminfo.txt (9,262 bytes)
# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 7
cpu MHz         : 3479.686
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 8728.17

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 7
cpu MHz         : 3479.686
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid xtpr
bogomips        : 8728.17

processor       : 2
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 7
cpu MHz         : 3479.686
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid xtpr
bogomips        : 8728.17

processor       : 3
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 7
cpu MHz         : 3479.686
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up cid xtpr
bogomips        : 8728.17

# cat /proc/meminfo
MemTotal:      5449728 kB
MemFree:       5004560 kB
Buffers:         18180 kB
Cached:         237884 kB
SwapCached:          0 kB
Active:          61592 kB
Inactive:       230536 kB
HighTotal:     5105644 kB
HighFree:      4431860 kB
LowTotal:       344084 kB
LowFree:        572700 kB
SwapTotal:     1048568 kB
SwapFree:      1048568 kB
Dirty:             272 kB
Writeback:           0 kB
AnonPages:       36088 kB
Mapped:           9784 kB
Slab:            17568 kB
PageTables:       2076 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   3773432 kB
Committed_AS:   206932 kB
VmallocTotal:   114680 kB
VmallocUsed:      3884 kB
VmallocChunk:   110748 kB

# uname -a
Linux hostname 2.6.18-92.1.13.el5xen #1 SMP Wed Sep 24 20:44:26 EDT 2008 i686 i686 i386 GNU/Linux

# lspci
00:00.0 Host bridge: Broadcom CMIC-WS Host Bridge (GC-LE chipset) (rev 13)
00:00.1 Host bridge: Broadcom CMIC-WS Host Bridge (GC-LE chipset)
00:00.2 Host bridge: Broadcom CMIC-LE
00:03.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:04.0 System peripheral: Compaq Computer Corporation Integrated Lights Out Controller (rev 01)
00:04.2 System peripheral: Compaq Computer Corporation Integrated Lights Out  Processor (rev 01)
00:0f.0 ISA bridge: Broadcom CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: Broadcom CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: Broadcom OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 Host bridge: Broadcom CSB5 LPC bridge
00:10.0 Host bridge: Broadcom CIOB-X2 PCI-X I/O Bridge (rev 05)
00:10.2 Host bridge: Broadcom CIOB-X2 PCI-X I/O Bridge (rev 05)
00:11.0 Host bridge: Broadcom CIOB-X2 PCI-X I/O Bridge (rev 05)
00:11.2 Host bridge: Broadcom CIOB-X2 PCI-X I/O Bridge (rev 05)
01:03.0 RAID bus controller: Compaq Computer Corporation Smart Array 5i/532 (rev 01)
02:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet (rev 02)
02:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet (rev 02)
06:1e.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug Controller (rev 14)

# xm dmesg
 __  __            _____  _   ____     ___ ____    _   _ _____      _ ____
 \ \/ /___ _ __   |___ / / | |___ \   / _ \___ \  / | / |___ /  ___| | ___|
  \  // _ \ \047_ \    |_ \ | |   __) |_| (_) |__) | | | | | |_ \ / _ \ |___ \
  /  \  __/ | | |  ___) || |_ / __/|__\__, / __/ _| |_| |___) |  __/ |___) |
 /_/\_\___|_| |_| |____(_)_(_)_____|    /_/_____(_)_(_)_|____(_)___|_|____/

 http://www.cl.cam.ac.uk/netos/xen
 University of Cambridge Computer Laboratory

 Xen version 3.1.2-92.1.13.el5 (mockbuild@centos.org) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)) Wed Sep 24 19:26:32 EDT 2008
 Latest ChangeSet: unavailable

(XEN) Command line:
(XEN) Video information:
(XEN)  VGA is text mode 80x25, font 8x16
(XEN)  VBE/DDC methods: none; EDID transfer time: 2 seconds
(XEN)  EDID info not retrieved because no DDC retrieval method detected
(XEN) Disc information:
(XEN)  Found 1 MBR signatures
(XEN)  Found 1 EDD information structures
(XEN) Xen-e820 RAM map:
(XEN)  0000000000000000 - 000000000009f400 (usable)
(XEN)  000000000009f400 - 00000000000a0000 (reserved)
(XEN)  00000000000f0000 - 0000000000100000 (reserved)
(XEN)  0000000000100000 - 00000000efffa000 (usable)
(XEN)  00000000efffa000 - 00000000f0000000 (ACPI data)
(XEN)  00000000fec00000 - 00000000fec10000 (reserved)
(XEN)  00000000fee00000 - 00000000fee10000 (reserved)
(XEN)  00000000ffc00000 - 0000000100000000 (reserved)
(XEN)  0000000100000000 - 000000017ffff000 (usable)
(XEN) System RAM: 5887MB (6028896kB)
(XEN) Xen heap: 9MB (10040kB)
(XEN) Domain heap initialised: DMA width 32 bits
(XEN) PAE enabled, limit: 16 GB
(XEN) Processor #0 15:2 APIC version 20
(XEN) Processor #6 15:2 APIC version 20
(XEN) Processor #1 15:2 APIC version 20
(XEN) Processor #7 15:2 APIC version 20
(XEN) IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-15
(XEN) IOAPIC[1]: apic_id 3, version 17, address 0xfec01000, GSI 16-31
(XEN) IOAPIC[2]: apic_id 4, version 17, address 0xfec02000, GSI 32-47
(XEN) IOAPIC[3]: apic_id 5, version 17, address 0xfec03000, GSI 48-63
(XEN) Enabling APIC mode:  Flat.  Using 4 I/O APICs
(XEN) Using scheduler: SMP Credit Scheduler (credit)
(XEN) Detected 2791.015 MHz processor.
(XEN) CPU0: Intel(R) Xeon(TM) CPU 2.80GHz stepping 07
(XEN) Booting processor 1/6 eip 90000
(XEN) CPU1: Intel(R) Xeon(TM) CPU 2.80GHz stepping 09
(XEN) Booting processor 2/1 eip 90000
(XEN) CPU2: Intel(R) Xeon(TM) CPU 2.80GHz stepping 07
(XEN) Booting processor 3/7 eip 90000
(XEN) CPU3: Intel(R) Xeon(TM) CPU 2.80GHz stepping 09
(XEN) Total of 4 processors activated.
(XEN) ENABLING IO-APIC IRQs
(XEN)  -> Using new ACK method
(XEN) Platform timer overflows in 2 jiffies.
(XEN) Platform timer is 1.193MHz PIT
(XEN) Brought up 4 CPUs
(XEN) mtrr: your CPUs had inconsistent fixed MTRR settings
(XEN) *** LOADING DOMAIN 0 ***
(XEN) elf_parse_binary: phdr: paddr=0xc0400000 memsz=0x26e6f4
(XEN) elf_parse_binary: phdr: paddr=0xc066f000 memsz=0x15f000
(XEN) elf_parse_binary: memory: 0xc0400000 -> 0xc07ce000
(XEN) elf_xen_parse_note: GUEST_OS = "linux"
(XEN) elf_xen_parse_note: GUEST_VERSION = "2.6"
(XEN) elf_xen_parse_note: XEN_VERSION = "xen-3.0"
(XEN) elf_xen_parse_note: VIRT_BASE = 0xc0000000
(XEN) elf_xen_parse_note: PADDR_OFFSET = 0xc0000000
(XEN) elf_xen_parse_note: ENTRY = 0xc0400000
(XEN) elf_xen_parse_note: HYPERCALL_PAGE = 0xc0401000
(XEN) elf_xen_parse_note: FEATURES = "writable_page_tables|writable_descriptor_tables|auto_translated_physmap|pae_pgdir_above_4gb|supervisor_mode_kernel"
(XEN) elf_xen_parse_note: PAE_MODE = "yes"
(XEN) elf_xen_parse_note: LOADER = "generic"
(XEN) elf_xen_addr_calc_check: addresses:
(XEN)     virt_base        = 0xc0000000
(XEN)     elf_paddr_offset = 0xc0000000
(XEN)     virt_offset      = 0x0
(XEN)     virt_kstart      = 0xc0400000
(XEN)     virt_kend        = 0xc07ce000
(XEN)     virt_entry       = 0xc0400000
(XEN)  Xen  kernel: 32-bit, PAE, lsb
(XEN)  Dom0 kernel: 32-bit, PAE, lsb, paddr 0xc0400000 -> 0xc07ce000
(XEN) PHYSICAL MEMORY ARRANGEMENT:
(XEN)  Dom0 alloc.:   000000003c000000->000000003e000000 (1452537 pages to be allocated)
(XEN) VIRTUAL MEMORY ARRANGEMENT:
(XEN)  Loaded kernel: c0400000->c07ce000
(XEN)  Init. ramdisk: c07ce000->c0e66800
(XEN)  Phys-Mach map: c0e67000->c13f97e4
(XEN)  Start info:    c13fa000->c13fa46c
(XEN)  Page tables:   c13fb000->c140c000
(XEN)  Boot stack:    c140c000->c140d000
(XEN)  TOTAL:         c0000000->c1800000
(XEN)  ENTRY ADDRESS: c0400000
(XEN) Dom0 has maximum 4 VCPUs
(XEN) elf_load_binary: phdr 0 at 0xc0400000 -> 0xc066e6f4
(XEN) elf_load_binary: phdr 1 at 0xc066f000 -> 0xc0717b64
(XEN) Initrd len 0x698800, start at 0xc07ce000
(XEN) Scrubbing Free RAM: .done.
(XEN) Xen trace buffers: disabled
(XEN) Std. Loglevel: Errors and warnings
(XEN) Guest Loglevel: Nothing (Rate-limited: Errors and warnings)
(XEN) Xen is relinquishing VGA console.
(XEN) *** Serial input -> DOM0 (type \047CTRL-a\047 three times to switch input to Xen).
(XEN) Freed 96kB init memory.

cpu-meminfo.txt (9,262 bytes)
brandond

brandond

2008-11-06 23:33

reporter   ~0008240

Also, how about collecting disk info? ATA/SATA/SCSI/other? Controller type? LVM/RAID/etc? Boot/root filesystem?
Fluggo

Fluggo

2008-11-07 06:55

reporter   ~0008241

Hardware info from one of the Compaq Proliant 6400R's

Linux 2.6.18-92.1.13.el5xen #1 SMP Wed Sep 24 20:44:26 EDT 2008 i686 i686 i386 GNU/Linux

# cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 7
model name : Pentium III (Katmai)
stepping : 3
cpu MHz : 966.192
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 mmx fxsr sse
bogomips : 1376.66

processor : 1
vendor_id : GenuineIntel
cpu family : 6
model : 7
model name : Pentium III (Katmai)
stepping : 3
cpu MHz : 966.192
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 mmx fxsr sse up
bogomips : 1376.66

processor : 2
vendor_id : GenuineIntel
cpu family : 6
model : 7
model name : Pentium III (Katmai)
stepping : 3
cpu MHz : 966.192
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 mmx fxsr sse up
bogomips : 1376.66

processor : 3
vendor_id : GenuineIntel
cpu family : 6
model : 7
model name : Pentium III (Katmai)
stepping : 3
cpu MHz : 966.192
cache size : 2048 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 mmx fxsr sse up
bogomips : 1376.66

*NOTE: CPU MHz is reported wrong. This is 550MHz CPUs

# lspci
00:02.0 RAID bus controller: Compaq Computer Corporation Smart Array 5300 Controller (rev 02)
00:0b.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug Controller (rev 04)
00:0c.0 System peripheral: Compaq Computer Corporation Advanced System Management Controller
00:0d.0 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 14)
00:0d.1 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 14)
00:0e.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC [Mach64 GT IIC] (rev 7a)
00:0f.0 ISA bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:0f.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:0f.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:0f.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:10.0 Host bridge: Intel Corporation 450NX - 82451NX Memory & I/O Controller (rev 03)
00:12.0 Host bridge: Intel Corporation 450NX - 82454NX/84460GX PCI Expander Bridge (rev 04)
00:14.0 Host bridge: Intel Corporation 450NX - 82454NX/84460GX PCI Expander Bridge (rev 04)
04:01.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet Controller (rev 05)
04:02.0 Ethernet controller: Intel Corporation 82541PI Gigabit Ethernet Controller (rev 05)
04:0b.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug Controller (rev 04)

*NOTE: Server is running 2xSCSI HDD's in software RAID 1 (mdadm) in the internal drive bay.
tartina

tartina

2008-11-07 08:28

reporter   ~0008243

Some other info about servers having this issue:
both servers are HP ML570 G2

This kernel is working for dom0
Linux hostname 2.6.18-92.1.13.el5xen #1 SMP Wed Sep 24 20:44:26 EDT 2008 i686 i686 i386 GNU/Linux

Kernel 2.6.18-92.1.17.el5xen is NOT working for dom0, it's hanging after grub whith a blanking cursor.
Could this be a grub bug not loading files correctly? Can someone try a more recent version of grub?

I have 2 domu guests which run 2.6.18-92.1.17.el5xen updated kernel without problem.

Each server has 2 36GB ultra scsi disks and 3 72GB ultra scsi disks. All disks are managed by the RAID bus controller: Compaq Computer Corporation Smart Array 64xx (rev 01) (driver is cciss).

Output of lspci:

00:00.0 Host bridge: Broadcom CMIC-HE (rev 22)
00:00.1 Host bridge: Broadcom CMIC-HE
00:00.2 Host bridge: Broadcom CMIC-HE
00:00.3 Host bridge: Broadcom CMIC-HE
00:02.0 System peripheral: Compaq Computer Corporation Advanced System Management Controller
00:03.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:04.0 Ethernet controller: Intel Corporation 82557/8/9/0/1 Ethernet Pro 100 (rev 08)
00:05.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
00:05.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
00:0f.0 ISA bridge: Broadcom CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: Broadcom CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: Broadcom OSB4/CSB5 OHCI USB Controller (rev 05)
00:0f.3 Host bridge: Broadcom CSB5 LPC bridge
00:10.0 Host bridge: Broadcom CIOB30 (rev 03)
00:10.2 Host bridge: Broadcom CIOB30 (rev 03)
00:11.0 Host bridge: Broadcom CIOB30 (rev 03)
00:11.2 Host bridge: Broadcom CIOB30 (rev 03)
01:1e.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug Controller (rev 14)
05:02.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 01)
05:02.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet Controller (Copper) (rev 01)
05:1e.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug Controller (rev 14)
09:01.0 PCI bridge: IBM PCI-X to PCI-X Bridge (rev 03)
0a:04.0 RAID bus controller: Compaq Computer Corporation Smart Array 64xx (rev 01)
0d:01.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI (rev 07)
0d:01.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI (rev 07)

File /boot/grub/menu.lst

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE: You have a /boot partition. This means that
# all kernel and initrd paths are relative to /boot/, eg.
# root (hd0,0)
# kernel /vmlinuz-version ro root=/dev/vg00/lvroot
# initrd /initrd-version.img
#boot=/dev/cciss/c0d0
default=2
timeout=5
#splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
password --md5 [password]
title CentOS (2.6.18-92.1.17.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-92.1.17.el5 ro root=/dev/vg00/lvroot
    initrd /initrd-2.6.18-92.1.17.el5.img
title CentOS (2.6.18-92.1.17.el5xen)
    root (hd0,0)
    kernel /xen.gz-2.6.18-92.1.17.el5 dom0_mem=512M
    module /vmlinuz-2.6.18-92.1.17.el5xen ro root=/dev/vg00/lvroot
    module /initrd-2.6.18-92.1.17.el5xen.img
title CentOS (2.6.18-92.1.13.el5xen)
    root (hd0,0)
    kernel /xen.gz-2.6.18-92.1.13.el5 dom0_mem=512M
    module /vmlinuz-2.6.18-92.1.13.el5xen ro root=/dev/vg00/lvroot
    module /initrd-2.6.18-92.1.13.el5xen.img
title CentOS (2.6.18-92.1.13.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-92.1.13.el5 ro root=/dev/vg00/lvroot
    initrd /initrd-2.6.18-92.1.13.el5.img
title CentOS (2.6.18-92.el5)
    root (hd0,0)
    kernel /vmlinuz-2.6.18-92.el5 ro root=/dev/vg00/lvroot
    initrd /initrd-2.6.18-92.el5.img

/proc/meminfo
MemTotal: 524288 kB
MemFree: 256428 kB
Buffers: 61796 kB
Cached: 79984 kB
SwapCached: 0 kB
Active: 51252 kB
Inactive: 105532 kB
HighTotal: 0 kB
HighFree: 0 kB
LowTotal: 524288 kB
LowFree: 256428 kB
SwapTotal: 2097144 kB
SwapFree: 2097144 kB
Dirty: 0 kB
Writeback: 0 kB
AnonPages: 14996 kB
Mapped: 7980 kB
Slab: 24716 kB
PageTables: 1436 kB
NFS_Unstable: 0 kB
Bounce: 0 kB
CommitLimit: 2359288 kB
Committed_AS: 161132 kB
VmallocTotal: 327672 kB
VmallocUsed: 4980 kB
VmallocChunk: 322600 kB

Please note that dom0 memory is limited to 512M

Output of xm list:
Name ID Mem(MiB) VCPUs State Time(s)
Domain-0 0 512 2 r----- 146.5
domu1 1 1023 1 -b---- 417.9
domu2 2 1023 1 -b---- 409.4

Output of xm dmesg:

 Xen version 3.1.2-92.1.13.el5 (mockbuild@centos.org) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)) Wed Sep 24 19:26:32 EDT 2008
 Latest ChangeSet: unavailable

(XEN) Command line: dom0_mem=512M
(XEN) Video information:
(XEN) VGA is text mode 80x25, font 8x16
(XEN) VBE/DDC methods: V2; EDID transfer time: 2 seconds
(XEN) Disc information:
(XEN) Found 2 MBR signatures
(XEN) Found 2 EDD information structures
(XEN) Xen-e820 RAM map:
(XEN) 0000000000000000 - 000000000009f400 (usable)
(XEN) 000000000009f400 - 00000000000a0000 (reserved)
(XEN) 00000000000f0000 - 0000000000100000 (reserved)
(XEN) 0000000000100000 - 00000000e7ff8000 (usable)
(XEN) 00000000e7ff8000 - 00000000e8000000 (ACPI data)
(XEN) 00000000fec00000 - 00000000fec10000 (reserved)
(XEN) 00000000fee00000 - 00000000fee10000 (reserved)
(XEN) 00000000ffc00000 - 0000000100000000 (reserved)
(XEN) System RAM: 3711MB (3800668kB)
(XEN) Xen heap: 9MB (10116kB)
(XEN) Domain heap initialised: DMA width 32 bits
(XEN) PAE enabled, limit: 16 GB
(XEN) Processor #4 15:2 APIC version 20
(XEN) Processor #6 15:2 APIC version 20
(XEN) Processor #5 15:2 APIC version 20
(XEN) Processor #7 15:2 APIC version 20
(XEN) IOAPIC[0]: apic_id 8, version 17, address 0xfec00000, GSI 0-15
(XEN) IOAPIC[1]: apic_id 9, version 17, address 0xfec01000, GSI 16-31
(XEN) IOAPIC[2]: apic_id 10, version 17, address 0xfec02000, GSI 32-47
(XEN) IOAPIC[3]: apic_id 11, version 17, address 0xfec03000, GSI 48-63
(XEN) Enabling APIC mode: Flat. Using 4 I/O APICs
(XEN) Using scheduler: SMP Credit Scheduler (credit)
(XEN) Detected 2694.900 MHz processor.
(XEN) CPU0: Intel(R) Xeon(TM) MP CPU 2.70GHz stepping 06
(XEN) Booting processor 1/6 eip 90000
(XEN) CPU1: Intel(R) Xeon(TM) MP CPU 2.70GHz stepping 06
(XEN) Booting processor 2/5 eip 90000
(XEN) CPU2: Intel(R) Xeon(TM) MP CPU 2.70GHz stepping 06
(XEN) Booting processor 3/7 eip 90000
(XEN) CPU3: Intel(R) Xeon(TM) MP CPU 2.70GHz stepping 06
(XEN) Total of 4 processors activated.
(XEN) ENABLING IO-APIC IRQs
(XEN) -> Using new ACK method
(XEN) Platform timer overflows in 2 jiffies.
(XEN) Platform timer is 1.193MHz PIT
(XEN) Brought up 4 CPUs
(XEN) mtrr: your CPUs had inconsistent fixed MTRR settings
(XEN) *** LOADING DOMAIN 0 ***
(XEN) elf_parse_binary: phdr: paddr=0xc0400000 memsz=0x26e6f4
(XEN) elf_parse_binary: phdr: paddr=0xc066f000 memsz=0x15f000
(XEN) elf_parse_binary: memory: 0xc0400000 -> 0xc07ce000
(XEN) elf_xen_parse_note: GUEST_OS = "linux"
(XEN) elf_xen_parse_note: GUEST_VERSION = "2.6"
(XEN) elf_xen_parse_note: XEN_VERSION = "xen-3.0"
(XEN) elf_xen_parse_note: VIRT_BASE = 0xc0000000
(XEN) elf_xen_parse_note: PADDR_OFFSET = 0xc0000000
(XEN) elf_xen_parse_note: ENTRY = 0xc0400000
(XEN) elf_xen_parse_note: HYPERCALL_PAGE = 0xc0401000
(XEN) elf_xen_parse_note: FEATURES = "writable_page_tables|writable_descriptor_tables|auto_translated_physmap|pae_pgdir_above_4gb|supervisor_mode_kernel"
(XEN) elf_xen_parse_note: PAE_MODE = "yes"
(XEN) elf_xen_parse_note: LOADER = "generic"
(XEN) elf_xen_addr_calc_check: addresses:
(XEN) virt_base = 0xc0000000
(XEN) elf_paddr_offset = 0xc0000000
(XEN) virt_offset = 0x0
(XEN) virt_kstart = 0xc0400000
(XEN) virt_kend = 0xc07ce000
(XEN) virt_entry = 0xc0400000
(XEN) Xen kernel: 32-bit, PAE, lsb
(XEN) Dom0 kernel: 32-bit, PAE, lsb, paddr 0xc0400000 -> 0xc07ce000
(XEN) PHYSICAL MEMORY ARRANGEMENT:
(XEN) Dom0 alloc.: 000000003e000000->000000003f000000 (126976 pages to be allocated)
(XEN) VIRTUAL MEMORY ARRANGEMENT:
(XEN) Loaded kernel: c0400000->c07ce000
(XEN) Init. ramdisk: c07ce000->c0ebfe00
(XEN) Phys-Mach map: c0ec0000->c0f40000
(XEN) Start info: c0f40000->c0f4046c
(XEN) Page tables: c0f41000->c0f4e000
(XEN) Boot stack: c0f4e000->c0f4f000
(XEN) TOTAL: c0000000->c1000000
(XEN) ENTRY ADDRESS: c0400000
(XEN) Dom0 has maximum 4 VCPUs
(XEN) elf_load_binary: phdr 0 at 0xc0400000 -> 0xc066e6f4
(XEN) elf_load_binary: phdr 1 at 0xc066f000 -> 0xc0717b64
(XEN) Initrd len 0x6f1e00, start at 0xc07ce000
(XEN) Scrubbing Free RAM: ..............................done.
(XEN) Xen trace buffers: disabled
(XEN) Std. Loglevel: Errors and warnings
(XEN) Guest Loglevel: Nothing (Rate-limited: Errors and warnings)
(XEN) Xen is relinquishing VGA console.
(XEN) *** Serial input -> DOM0 (type \047CTRL-a\047 three times to switch input to Xen).
(XEN) Freed 96kB init memory.

Output of pvs:
  PV VG Fmt Attr PSize PFree
  /dev/cciss/c0d0p2 vg00 lvm2 a- 33,81G 33,81G
  /dev/cciss/c0d1p1 vg00 lvm2 a- 135,66G 94,41G

Output of sfdik -l: (sorry this is in italian)

Disco /dev/cciss/c0d0: 8716 cilindri, 255 testine, 32 settori/traccia
Attenzione: la tabella delle partizioni sembra sia stata creata
  per C/H/S=*/255/63 (al posto di 8716/255/32).
In questo elenco verrà assunta tale geometria.
Unità = cilindri di 8225280 byte, blocchi di 1024 byte, conteggiando da 0

   Device Boot Start End #cyls #blocks Id System
/dev/cciss/c0d0p1 * 0+ 12 13- 104391 83 Linux
/dev/cciss/c0d0p2 13 4426 4414 35455455 8e Linux LVM
/dev/cciss/c0d0p3 0 - 0 0 0 Vuoto
/dev/cciss/c0d0p4 0 - 0 0 0 Vuoto

Disco /dev/cciss/c0d1: 34866 cilindri, 255 testine, 32 settori/traccia
Attenzione: la tabella delle partizioni sembra sia stata creata
  per C/H/S=*/255/63 (al posto di 34866/255/32).
In questo elenco verrà assunta tale geometria.
Unità = cilindri di 8225280 byte, blocchi di 1024 byte, conteggiando da 0

   Device Boot Start End #cyls #blocks Id System
/dev/cciss/c0d1p1 * 0+ 17708 17709- 142247511 8e Linux LVM
/dev/cciss/c0d1p2 0 - 0 0 0 Vuoto
/dev/cciss/c0d1p3 0 - 0 0 0 Vuoto
/dev/cciss/c0d1p4 0 - 0 0 0 Vuoto
Fluggo

Fluggo

2008-11-07 08:55

reporter   ~0008244

More info to complement Tartinas:

# cat /proc/meminfo
MemTotal: 2601984 kB
MemFree: 2350248 kB
Buffers: 20096 kB
Cached: 74524 kB
SwapCached: 0 kB
Active: 76292 kB
Inactive: 41624 kB
HighTotal: 3281976 kB
HighFree: 1759384 kB
LowTotal: 4294287304 kB
LowFree: 590864 kB
SwapTotal: 1718840 kB
SwapFree: 1718840 kB
Dirty: 0 kB
Writeback: 0 kB
AnonPages: 23300 kB
Mapped: 9036 kB
Slab: 14968 kB
PageTables: 1292 kB
NFS_Unstable: 0 kB
Bounce: 0 kB
CommitLimit: 3019832 kB
Committed_AS: 128536 kB
VmallocTotal: 114680 kB
VmallocUsed: 4308 kB
VmallocChunk: 110308 kB

# pvs
  PV VG Fmt Attr PSize PFree
  /dev/cciss/c0d0 vg00 lvm2 a- 220.45G 210.45G
  /dev/cciss/c0d1 vg01 lvm2 a- 101.74G 81.74G

# cat /boot/grub/menu.lst

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE: You do not have a /boot partition. This means that
# all kernel and initrd paths are relative to /, eg.
# root (hd0,0)
# kernel /boot/vmlinuz-version ro root=/dev/md0
# initrd /boot/initrd-version.img
#boot=/dev/md0
default=0
timeout=5
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
hiddenmenu
title CentOS (2.6.18-92.1.13.el5xen)
        root (hd0,0)
        kernel /boot/xen.gz-2.6.18-92.1.13.el5
        module /boot/vmlinuz-2.6.18-92.1.13.el5xen ro root=/dev/md0
        module /boot/initrd-2.6.18-92.1.13.el5xen.img
title CentOS (2.6.18-92.1.10.el5xen)
        root (hd0,0)
        kernel /boot/xen.gz-2.6.18-92.1.10.el5
        module /boot/vmlinuz-2.6.18-92.1.10.el5xen ro root=/dev/md0
        module /boot/initrd-2.6.18-92.1.10.el5xen.img

# sfdisk -l

Disk /dev/sda: 1106 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start End #cyls #blocks Id System
/dev/sda1 * 0+ 891 892- 7164958+ fd Linux raid autodetect
/dev/sda2 892 1105 214 1718955 fd Linux raid autodetect
/dev/sda3 0 - 0 0 0 Empty
/dev/sda4 0 - 0 0 0 Empty

Disk /dev/sdb: 1106 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start End #cyls #blocks Id System
/dev/sdb1 * 0+ 891 892- 7164958+ fd Linux raid autodetect
/dev/sdb2 892 1105 214 1718955 fd Linux raid autodetect
/dev/sdb3 0 - 0 0 0 Empty
/dev/sdb4 0 - 0 0 0 Empty

Disk /dev/cciss/c0d0: 56658 cylinders, 255 heads, 32 sectors/track

sfdisk: ERROR: sector 0 does not have an msdos signature
 /dev/cciss/c0d0: unrecognized partition table type
No partitions found

Disk /dev/cciss/c0d1: 26149 cylinders, 255 heads, 32 sectors/track

sfdisk: ERROR: sector 0 does not have an msdos signature
 /dev/cciss/c0d1: unrecognized partition table type
No partitions found

Disk /dev/md0: 1791216 cylinders, 2 heads, 4 sectors/track

sfdisk: ERROR: sector 0 does not have an msdos signature
 /dev/md0: unrecognized partition table type
No partitions found

Disk /dev/md1: 429712 cylinders, 2 heads, 4 sectors/track

sfdisk: ERROR: sector 0 does not have an msdos signature
 /dev/md1: unrecognized partition table type
No partitions found

# xm dmesg
 __ __ _____ _ ____ ___ ____ _ _ _____ _ ____
 \ \/ /___ _ __ |___ / / | |___ \ / _ \___ \ / | / |___ / ___| | ___|
  \ // _ \ \047_ \ |_ \ | | __) |_| (_) |__) | | | | | |_ \ / _ \ |___ \
  / \ __/ | | | ___) || |_ / __/|__\__, / __/ _| |_| |___) | __/ |___) |
 /_/\_\___|_| |_| |____(_)_(_)_____| /_/_____(_)_(_)_|____(_)___|_|____/
                                                                            
 http://www.cl.cam.ac.uk/netos/xen
 University of Cambridge Computer Laboratory

 Xen version 3.1.2-92.1.13.el5 (mockbuild@centos.org) (gcc version 4.1.2 20071124 (Red Hat 4.1.2-42)) Wed Sep 24 19:26:32 EDT 2008
 Latest ChangeSet: unavailable

(XEN) Command line:
(XEN) Video information:
(XEN) VGA is text mode 80x25, font 8x16
(XEN) VBE/DDC methods: V2; EDID transfer time: 2 seconds
(XEN) Disc information:
(XEN) Found 2 MBR signatures
(XEN) Found 2 EDD information structures
(XEN) Xen-e820 RAM map:
(XEN) 0000000000000000 - 000000000009f400 (usable)
(XEN) 000000000009f400 - 00000000000a0000 (reserved)
(XEN) 00000000000f0000 - 0000000000100000 (reserved)
(XEN) 0000000000100000 - 00000000f5ffc000 (usable)
(XEN) 00000000f5ffc000 - 00000000f6000000 (ACPI data)
(XEN) 00000000fec00000 - 00000000fec10000 (reserved)
(XEN) 00000000fee00000 - 00000000fee10000 (reserved)
(XEN) 00000000fff80000 - 0000000100000000 (reserved)
(XEN) 0000000100000000 - 000000010a000000 (usable)
(XEN) System RAM: 4095MB (4193900kB)
(XEN) >>> ERROR: Invalid checksum
(XEN) Xen heap: 9MB (10104kB)
(XEN) Domain heap initialised: DMA width 32 bits
(XEN) PAE enabled, limit: 16 GB
(XEN) Processor #3 6:7 APIC version 16
(XEN) Processor #0 6:7 APIC version 16
(XEN) Processor #1 6:7 APIC version 16
(XEN) Processor #2 6:7 APIC version 16
(XEN) Enabling APIC mode: Flat. Using 1 I/O APICs
(XEN) Using scheduler: SMP Credit Scheduler (credit)
(XEN) Detected 549.870 MHz processor.
(XEN) CPU0: Intel Pentium III (Katmai) stepping 03
(XEN) Booting processor 1/0 eip 90000
(XEN) CPU1: Intel Pentium III (Katmai) stepping 03
(XEN) Booting processor 2/1 eip 90000
(XEN) CPU2: Intel Pentium III (Katmai) stepping 03
(XEN) Booting processor 3/2 eip 90000
(XEN) CPU3: Intel Pentium III (Katmai) stepping 03
(XEN) Total of 4 processors activated.
(XEN) ENABLING IO-APIC IRQs
(XEN) -> Using new ACK method
(XEN) Platform timer overflows in 2 jiffies.
(XEN) Platform timer is 1.193MHz PIT
(XEN) Brought up 4 CPUs
(XEN) mtrr: your CPUs had inconsistent fixed MTRR settings
(XEN) ACPI is disabled, notifying Domain 0 (acpi=off)
(XEN) *** LOADING DOMAIN 0 ***
(XEN) elf_parse_binary: phdr: paddr=0xc0400000 memsz=0x26e6f4
(XEN) elf_parse_binary: phdr: paddr=0xc066f000 memsz=0x15f000
(XEN) elf_parse_binary: memory: 0xc0400000 -> 0xc07ce000
(XEN) elf_xen_parse_note: GUEST_OS = "linux"
(XEN) elf_xen_parse_note: GUEST_VERSION = "2.6"
(XEN) elf_xen_parse_note: XEN_VERSION = "xen-3.0"
(XEN) elf_xen_parse_note: VIRT_BASE = 0xc0000000
(XEN) elf_xen_parse_note: PADDR_OFFSET = 0xc0000000
(XEN) elf_xen_parse_note: ENTRY = 0xc0400000
(XEN) elf_xen_parse_note: HYPERCALL_PAGE = 0xc0401000
(XEN) elf_xen_parse_note: FEATURES = "writable_page_tables|writable_descriptor_tables|auto_translated_physmap|pae_pgdir_above_4gb|supervisor_mode_kernel"
(XEN) elf_xen_parse_note: PAE_MODE = "yes"
(XEN) elf_xen_parse_note: LOADER = "generic"
(XEN) elf_xen_addr_calc_check: addresses:
(XEN) virt_base = 0xc0000000
(XEN) elf_paddr_offset = 0xc0000000
(XEN) virt_offset = 0x0
(XEN) virt_kstart = 0xc0400000
(XEN) virt_kend = 0xc07ce000
(XEN) virt_entry = 0xc0400000
(XEN) Xen kernel: 32-bit, PAE, lsb
(XEN) Dom0 kernel: 32-bit, PAE, lsb, paddr 0xc0400000 -> 0xc07ce000
(XEN) PHYSICAL MEMORY ARRANGEMENT:
(XEN) Dom0 alloc.: 000000003c000000->000000003e000000 (996620 pages to be allocated)
(XEN) VIRTUAL MEMORY ARRANGEMENT:
(XEN) Loaded kernel: c0400000->c07ce000
(XEN) Init. ramdisk: c07ce000->c0d52000
(XEN) Phys-Mach map: c0d52000->c1127430
(XEN) Start info: c1128000->c112846c
(XEN) Page tables: c1129000->c1138000
(XEN) Boot stack: c1138000->c1139000
(XEN) TOTAL: c0000000->c1400000
(XEN) ENTRY ADDRESS: c0400000
(XEN) Dom0 has maximum 4 VCPUs
(XEN) elf_load_binary: phdr 0 at 0xc0400000 -> 0xc066e6f4
(XEN) elf_load_binary: phdr 1 at 0xc066f000 -> 0xc0717b64
(XEN) Initrd len 0x584000, start at 0xc07ce000
(XEN) Scrubbing Free RAM: .done.
(XEN) Xen trace buffers: disabled
(XEN) Std. Loglevel: Errors and warnings
(XEN) Guest Loglevel: Nothing (Rate-limited: Errors and warnings)
(XEN) Xen is relinquishing VGA console.
(XEN) *** Serial input -> DOM0 (type \047CTRL-a\047 three times to switch input to Xen).
(XEN) Freed 96kB init memory.
(XEN) mm.c:649:d1 Error getting mfn 6126 (pfn 5ccc) from L1 entry 0000000006126025 for dom1
(XEN) mm.c:3317:d1 ptwr_emulate: fixing up invalid PAE PTE 0000000006126025
simix

simix

2008-11-07 11:28

reporter   ~0008245

My Testbox with an AMD Duron something runs fine. But then I'm having the same problem on IBM X345 with 2x Xeon 2GHz + HT. I tested different kernels and found this:

kernel-xen-2.6.18-92.1.13.el5 works fine
kernel-xen-2.6.18-92.1.17.el5 hangs after grub
kernel-2.6.18-92.1.17.el5 works fine

So it's only the Xen version of the kernel which doesn't work.
I can't test on this box for now but maybe someone else could test RedHat's build of the same package just to make sure it's the same issue there.

Then, looking at the changelog for Xen related changes I found this:
- [xen] ia64: fix INIT injection (Tetsu Yamamoto ) [467105 464445]
- [xen] allow guests to hide the TSC from applications (Chris Lalancette ) [378471 378481] {CVE-2007-5907}
- [x86_64] xen: local DOS due to NT bit leakage (Eugene Teo ) [457721 457722] {CVE-2006-5755}
- [xen] xennet: coordinate ARP with backend network status (Herbert Xu ) [461457 458934]
- [xen] event channel lock and barrier (Markus Armbruster ) [461099 457086]

Can it be that one of those 'fixes' breaks it for certain hardware.
tartina

tartina

2008-11-07 12:54

reporter   ~0008246

I confirm that:

kernel-xen-2.6.18-92.1.13.el5 works fine
kernel-xen-2.6.18-92.1.17.el5 hangs after grub
kernel-2.6.18-92.1.17.el5 works fine

on HP ML570 G2

Could this be a grub bug? Wrong startup of xen?
tartina

tartina

2008-11-07 12:56

reporter   ~0008247

And I forgot:

kernel-xen-2.6.18-92.1.17.el5 works for domu
jonathan_w_miner

jonathan_w_miner

2008-11-07 14:21

reporter   ~0008248

Hi -

Same issue for me on a Dell GX260:

2.6.18-92.1.13.el5xen --> boots
2.6.18-92.1.17.el5 --> boots
2.6.18-92.1.17.el5xen --> HANGS with blinking cursor

The "guest" systems run with the newer kernel, no problems.

/proc/cpuinfo:

processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 2.26GHz
stepping : 4
cpu MHz : 2258.356
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush d
ts acpi mmx fxsr sse sse2 ss ht tm up
bogomips : 5650.56
Fluggo

Fluggo

2008-11-07 15:49

reporter   ~0008249

https://bugzilla.redhat.com/show_bug.cgi?id=470535
tartina

tartina

2008-11-07 19:00

reporter   ~0008250

https://bugzilla.redhat.com/show_bug.cgi?id=468083

It seems to be solved here.

Look at new kernels here:

http://people.redhat.com/dzickus/el5/122.el5/i686/
revmarkp

revmarkp

2008-11-09 23:03

reporter   ~0008251

Same for me on a Compaq Dl380 G2

Recent xen kernel kernel-xen-2.6.18-92.1.17.el5.i686 doesn't boot dom0.
(Blinking cursor after GRUB)
tru

tru

2008-11-11 21:28

administrator   ~0008272

nothing specific on your kernel options?

/proc/cmdline <-
jonathan_w_miner

jonathan_w_miner

2008-11-11 22:25

reporter   ~0008273

Nothing special in my /proc/cmdline

ro root=LABEL=/ rhgb quiet
kbsingh@karan.org

kbsingh@karan.org

2008-11-12 22:46

administrator   ~0008277

updated packages that resolve this issue are now released. Updated packages should show up in the public mirrors in the next few hours.

Issue History

Date Modified Username Field Change
2008-11-06 21:02 Fluggo New Issue
2008-11-06 21:45 tartina Note Added: 0008234
2008-11-06 22:04 vchepkov Note Added: 0008235
2008-11-06 22:45 brandond Note Added: 0008236
2008-11-06 22:57 brandond Note Added: 0008237
2008-11-06 23:14 kbsingh@karan.org Note Added: 0008238
2008-11-06 23:14 kbsingh@karan.org Status new => acknowledged
2008-11-06 23:23 ejg Note Added: 0008239
2008-11-06 23:24 ejg File Added: cpu-meminfo.txt
2008-11-06 23:33 brandond Note Added: 0008240
2008-11-07 06:55 Fluggo Note Added: 0008241
2008-11-07 08:28 tartina Note Added: 0008243
2008-11-07 08:55 Fluggo Note Added: 0008244
2008-11-07 11:28 simix Note Added: 0008245
2008-11-07 12:54 tartina Note Added: 0008246
2008-11-07 12:56 tartina Note Added: 0008247
2008-11-07 14:21 jonathan_w_miner Note Added: 0008248
2008-11-07 15:49 Fluggo Note Added: 0008249
2008-11-07 19:00 tartina Note Added: 0008250
2008-11-09 23:03 revmarkp Note Added: 0008251
2008-11-11 21:28 tru Note Added: 0008272
2008-11-11 22:25 jonathan_w_miner Note Added: 0008273
2008-11-12 22:46 kbsingh@karan.org Status acknowledged => resolved
2008-11-12 22:46 kbsingh@karan.org Fixed in Version => 5.2
2008-11-12 22:46 kbsingh@karan.org Resolution open => fixed
2008-11-12 22:46 kbsingh@karan.org Note Added: 0008277